#ifndef _KVALCURR_
#define _KVALCURR_

#ifndef _KVALID_
   #include <kvalid.hpp>
#endif

#ifndef _ISTRING_
   #include <istring.hpp>
#endif

/*----------------------------------------------------------------------
 * Class: KCurrencyValidator
 *
 * Implementation File: kvalid.cpp
 *
 * Base Class: Derived from KValidator
 *
 * Purpose: Allows the user to enter currency values in an entry field.
 *
 * Notes:
 *--------------------------------------------------------------------*/
class _Export KCurrencyValidator : public KValidator
{
   public:
      KCurrencyValidator();

   private:
      struct Settings
      {
         Settings();
         unsigned currencyFormat;
         IString  currencySign;
         IString  thousandsSeparator;
         IString  decimalSeparator;
         unsigned decimalDigits;
      };
      static Settings settings;
};


#endif
